//
// Created by robin on 2/26/17.
//

#ifndef MILTER_SASL_CRYPTOBUSINESS_H
#define MILTER_SASL_CRYPTOBUSINESS_H

#include <string>

class CryptoBusiness
{
public:
    CryptoBusiness();

    std::string getKey() const;

    void setKey(std::string key);

    std::string encryptToHex(std::string data);

    std::string encrypt(std::string data);

    std::string decryptFromHex(std::string data);

    std::string decrypt(std::string data);

    std::string toHex(std::string data);

    std::string fromHex(std::string data);

protected:
    std::string encrypt16(std::string data);

    std::string decrypt16(std::string data);

private:
    std::string _key;

    static std::string _hex;
};


#endif //MILTER_SASL_CRYPTOBUSINESS_H
